Subject: Re: Bug#657390: lintian: Please make build-arch and build-indep required targets

From: Guillem Jover <[email-masked]>
Date: Wed, 23 Jan 2013 11:25:44 +0100

On Wed, 2013-01-23 at 09:56:45 +0100, Niels Thykier wrote:
> On 2013-01-23 04:46, Guillem Jover wrote:
> > The first stage could be to wait a bit after testing thaws to see the
> > progress; after a bit, change/rename the tag to an error w/o autoreject.
> 
> That can be done.
> 
> > Wait and see how it progresses, and after a bit more (several months)
> > change it to autoreject, but not for binNMUs if that's possible?
> 
> It is my understanding that Lintian is only run on source uploads (or
> human uploads).  So any upload from buildds should be ignored, but I
> suggest we get that confirmed with the ftp-masters if we go with that.

Actually after some sleep I realized that this should not be an issue
as even if lintian is run on binNMUs then the source checks should not
be performed as no source will be included.

> We can (also?) ask the ftp-masters to do a "non-fatal" autoreject for
> that tag at that point (that would allow people NMUing packages to
> ignore it by overriding it).  Not sure if that has any merrit though.

Right, that crossed my mind too, but given the amount of work involved
(most of the time) in fixing this, if a human is involved and has to
edit a file to make it uploadable, the human can as well fix the root
cause. :)

Thanks,
Guillem